Bug 250209 - [new port] net-mgmt/bosun: A time series alerting framework
Summary: [new port] net-mgmt/bosun: A time series alerting framework
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL: https://bosun.org/
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-08 21:20 UTC by Markus Langer
Modified: 2020-10-27 18:10 UTC (History)
2 users (show)

See Also:


Attachments
all changes that i made to make it work (33.58 KB, patch)
2020-10-08 21:20 UTC, Markus Langer
no flags Details | Diff
bosun package description as proposed (34.27 KB, patch)
2020-10-10 11:49 UTC, Markus Langer
no flags Details | Diff
certain corrections (34.14 KB, patch)
2020-10-13 15:43 UTC, Markus Langer
no flags Details | Diff
proposed changes (33.40 KB, patch)
2020-10-14 12:24 UTC, Markus Langer
no flags Details | Diff
removed bosun_user/group (621 bytes, patch)
2020-10-27 10:38 UTC, Markus Langer
no flags Details | Diff
corrected full diff (33.26 KB, patch)
2020-10-27 10:41 UTC, Markus Langer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Langer 2020-10-08 21:20:22 UTC
Created attachment 218616 [details]
all changes that i made to make it work

Bosun is a time series alerting framework developed by Stack Exchange.

OpenTSDB, InfluxDB, Elasticsearch, Prometheus and many more can be used as input TSDBs.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2020-10-09 10:21:34 UTC
^Triage: give this an appropriate Summary.

To submitter: at first glance, I see one thing that you will likely be asked to change to something more like:

  COMMENT=A time series alerting framework developed by Stack Exchange.

e.g. delete the redundant "Bosun is".  This fits more with our standard usage.
Comment 2 Markus Langer 2020-10-10 11:49:58 UTC
Created attachment 218643 [details]
bosun package description as proposed

added proper description and a proper rc file
Comment 3 Mikael Urankar freebsd_committer 2020-10-13 14:06:20 UTC
Why do you need only_for_arch?
Comment 4 Markus Langer 2020-10-13 14:08:32 UTC
because i just testet on this platforms.
Comment 5 Mikael Urankar freebsd_committer 2020-10-13 14:42:20 UTC
GH_PROJECT is useless (it's GH_PROJECT_DEFAULT=  ${PORTNAME} by default)
/usr/local is hardcoded in the makefile, you can probably use ETCDIR instead.
${PREFIX}/etc/bosun, replace with etcdir
pkg-descr is too short
what's the purpose of pkg-message, it doesn't add much info...
why did you touch _wsdd in the gid/uid?
Comment 6 Markus Langer 2020-10-13 15:43:16 UTC
Created attachment 218717 [details]
certain corrections

removed GH_PROJECT as it is useless
removed hardcoded /usr/local
replaces ${PREFIX}/etc with ETCDIR
updated pkg-descr to be more precise
added pkg-message on how to turn on bosun
removed GIDs/UIDs changes to _wsdd
Comment 7 Mikael Urankar freebsd_committer 2020-10-14 10:28:59 UTC
Can you pet portlint?
You can remove ONLY_FOR_ARCHS, go only works on these arches.
Why do you put GH_SUBDIR?
Can you align SUB_LIST / PLIST_SUB
BOSUN_CONFDIR is equal to /usr/local/etc/bosun/bosun now, is it intended?
Remove the extra spaces in post-install:
You can delete pkg-message, "pkg-message must contain only information that is vital to setup and operation on FreeBSD, and that is unique to the port in question." I don't see any vital information in it.
Comment 8 Markus Langer 2020-10-14 12:24:16 UTC
Created attachment 218739 [details]
proposed changes

portlint: done
ONLY_FOR_ARCHS: removed as suggested
GH_SUBDIR: removed
SUB_LIST / PLIST_SUB: properly aligned
BOSUN_CONFDIR is equal to /usr/local/etc/bosun/bosun: was fixed in makefile
Remove the extra spaces in post-install: extra spaces removed and properly aligned
You can delete pkg-message: done. you are right
Comment 9 Markus Langer 2020-10-20 08:34:09 UTC
any news on that?
Comment 10 Mikael Urankar freebsd_committer 2020-10-26 19:38:35 UTC
(In reply to Markus Langer from comment #9)
You can drop BOSUN_USER and BOSUN_GROUP and just use USERS and GROUPS
BOSUN_CONFDIR is just ETCDIR, you can drop this variable too
Usually we install the sample file with the .sample suffix.

in files/bosun.in you can replace ${PREFIX}/etc/bosun/ with etcdir
remove bosun_user/group with users/groups
bosun_conf is ${bosun_conf:="%%ETCDIR%%/${name}.conf"}
why do you need bosun_prestart and bosun_stop?
Comment 11 Markus Langer 2020-10-27 10:16:18 UTC
%%USERS%% and %%GROUPS%% does not work.


i replaced all that stuff you wanted, with USERS und GROUPS...therefor this is not working.

sample suffix is ok for me.

i am ok with removing bosun_prestart.

i want to keep the bosun_stop function.

i copied the template over from the telegraf port in the hope that it will be correct.
Comment 12 Markus Langer 2020-10-27 10:38:06 UTC
Created attachment 219142 [details]
removed bosun_user/group

replaced bosun_user/group
also added .sample suffix
Comment 13 Markus Langer 2020-10-27 10:41:03 UTC
Created attachment 219143 [details]
corrected full diff
Comment 14 commit-hook freebsd_committer 2020-10-27 18:06:34 UTC
A commit references this bug:

Author: mikael
Date: Tue Oct 27 18:06:26 UTC 2020
New revision: 553462
URL: https://svnweb.freebsd.org/changeset/ports/553462

Log:
  net-mgmt/bosun: create port

  Bosun is an open-source, MIT licensed, monitoring and alerting system by
  Stack Exchange.

  It has an expressive domain specific language for evaluating alerts
  and creating detailed notifications.
  It also lets you test your alerts against history
  for a faster development experience.

  WWW: https://bosun.org/

  PR:		250209
  Submitted by:	Markus Langer <langer.markus@gmail.com>

Changes:
  head/GIDs
  head/UIDs
  head/net-mgmt/Makefile
  head/net-mgmt/bosun/
  head/net-mgmt/bosun/Makefile
  head/net-mgmt/bosun/distinfo
  head/net-mgmt/bosun/files/
  head/net-mgmt/bosun/files/bosun.in
  head/net-mgmt/bosun/pkg-descr
  head/net-mgmt/bosun/pkg-plist
Comment 15 Mikael Urankar freebsd_committer 2020-10-27 18:10:07 UTC
Committed with minor modifications, thanks!